[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegionEllipse.IsPointInPart

Indicates if the specified point is located inside the elliptical area for the region.

## Declaration

Source position: lazregions.pas line 51

`public function TLazRegionEllipse.IsPointInPart(`
`AX: Integer;`
`AY: Integer`
`):Boolean; override;`

## Arguments

`AX` |  | Horizontal coordinate for the point.
`AY` |  | Vertical coordinate for the point.

## Function result

True when the specified point is located inside the area for the ellipse.

## Description

The equation for the inner area of an axis aligned ellipse is:

    (X/a)^2 + (Y/b)^2 <= 1